<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>SI-BKD Pengguna</title>
</head>
<body>

<div layout:fragment="main" class="container">
  <div class="row justify-content-center">
    <div class="col-md-8">
      <form class="form-horizontal" th:action="@{/pengguna/simpan}" th:object="${user}" method="post">
      <div class="card">
        <div class="card-header bg-white p-4 justify-content-center" align="center">
          <h3 class="text-black">Data Pengguna</h3>
        </div>

        <div class="card-body p-4">
          <div class="row justify-content-center">
            <div class="col-md-10">
              <div class="mb-3 row">
                <label for="namaLengkap" class="col-sm-4 col-form-label">Nama Lengkap</label>
                <div class="col-sm-8">
                  <input type="text" class="form-control" th:field="*{namaLengkap}" name="namaLengkap" id="namaLengkap">
                </div>
              </div>

              <div class="mb-3 row">
                <label for="email" class="col-sm-4 col-form-label">Email</label>
                <div class="col-sm-8">
                  <input type="email" class="form-control" onkeyup="cekEmail(this);" onchange="cekEmail(this);" id="email" th:field="*{username}" name="username">
                </div>
              </div>

<!--              <div class="mb-3 row">-->
<!--                <label for="telepon" class="col-sm-4 col-form-label">Telepon</label>-->
<!--                <div class="col-sm-8">-->
<!--                  <input type="text" class="form-control" id="telepon">-->
<!--                </div>-->
<!--              </div>-->

<!--              <div class="mb-3 row">-->
<!--                <label for="alamat" class="col-sm-4 col-form-label">Alamat</label>-->
<!--                <div class="col-sm-8">-->
<!--                  <textarea class="form-control" id="alamat" rows="3"></textarea>-->
<!--                </div>-->
<!--              </div>-->

              <div class="mb-3 row">
                <label for="role" class="col-sm-4 col-form-label">Role</label>
                <div class="col-sm-8">
                  <select class="form-select" id="role" th:field="*{role}" name="role" aria-label="Default select example">
                    <option th:each="data : ${listRole}"
                            th:text="${data.description}"
                            th:value="${data.id}">sdasd</option>
                  </select>
                </div>
              </div>

              <input type="hidden" name="id" th:field="*{id}">

            </div>
          </div>

        </div>
        <div class="card-footer bg-white p-4">
          <a class="btn btn-warning float-start" th:href="@{/pengguna}">Kembali</a>
          <button type="submit" class="btn btn-success float-end">Simpan</button>
        </div>
      </div>
      </form>
    </div>
  </div>
</div>
</body>
</html>

<script>
  var delay = (function () {
    var timer = 0;
    return function (callback, ms) {
      clearTimeout(timer);
      timer = setTimeout(callback, ms);
    };
  })();

  function cekEmail(arg) {
    var id = arg.getAttribute('id');
    var value = arg.value;

    $(document).keyup(function (e) {
      delay(function () {
        var url = "/cekEmail?email="+value;
        $.getJSON(url, function (data) {
          if (data.code == 'FORBIDDEN'){
            document.getElementById("validEmail").style.display = "block";
            document.getElementById("btnSimpan").style.display = "none";
          }else {
            document.getElementById("btnSimpan").style.display = "block";
            document.getElementById("validEmail").style.display = "none";
          }

        })

      }, 800);

    });
  }
</script>